Name:           perl-qpid
Version:        0.22
Release:        1%{?dist}
Summary:        Perl bindings for the Qpid messaging framework

License:        ASL 2.0
URL:            http://qpid.apache.org/
Source0:        http://www.apache.org/dist/qpid/%{version}/perl-qpid-%{version}.tar.gz

Provides:      perl(qpid) = %{version}
Provides:      perl(qpid_messaging) = %{version}

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  qpid-cpp-client-devel = %{version}
BuildRequires:  swig

%{?perl_default_filter}

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       qpid-cpp-client = %{version}


Patch1: 01-QPID-4843-Fixed-the-Perl-spout.pl-example.patch
# BZ#964168
Patch2: 02-QPID-4857-Fixed-passing-Perl-Message-to-C-code.patch


%description
%{summary}.


%prep
%setup -q

echo "After setup we are in $PWD"

%patch2 -p6

pushd examples
ls -l
%patch1 -p7
popd

# create the language bindings
swig -perl -c++ -I/usr/include -o cqpid_perl.cpp perl.i


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%{perl_vendorarch}/*
%doc LICENSE
%exclude %dir %{perl_vendorarch}/auto/
%doc examples
%doc %{_mandir}/man3/*gz


%changelog
* Fri Jun 14 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.22-1
- Rebased on Qpid 0.22.
- Added the perl(qpid) and perl(qpid_messaging) virtual packages.
- Resolves: BZ#964168
- Set the source URL to point to official releases.

* Mon Feb 18 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.20-1
- Rebased on Qpid 0.20.

* Thu Sep 27 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.18-3
- Bumped release once more to equal the current qpid-cpp release.

* Thu Sep 27 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.18-2
- Bumped release to be greater than the qpid-cpp version.
- qpid-cpp still had a perl-qpid subpackage that colleged with this one.

* Mon Sep 17 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.18-1
- Rebased on Qpid 0.18.

* Fri Aug 10 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16-1.2
- Fixed removed split on vendor arch path.
- Removed defattr from files section.

* Fri Jun 29 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16-1.1
- Removed the noarch comments from the build and install sections.
- Removed the empty doc line.
- Made the examples directory a doc element.

* Mon Jun 18 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16-1
- Initial package based on the Perl-only source release.
